### robocode

# Class BattleResults

- `java.lang.Object`
- - `robocode.BattleResults`

Implemented Interfaces:
  Comparable, Serializable

Known Direct Subclasses:
  RobotResults

`public class BattleResults`
`extends Object`
`implements Serializable, Comparable`

Contains the battle results returned by `BattleEndedEvent.getResults()` when a battle has ended.

Author:
  Pavel Savara (original)

Since:
  1.6.1

See Also:
  `BattleEndedEvent.getResults()`, `Robot.onBattleEnded(BattleEndedEvent)`, Serialized Form

  ## Field Summary

  `protected double`

  `bulletDamage`

  `protected double`

  `bulletDamageBonus`

  `protected int`

  `firsts`

  `protected double`

  `lastSurvivorBonus`

  `protected double`

  `ramDamage`

  `protected double`

  `ramDamageBonus`

  `protected int`

  `rank`

  `protected double`

  `score`

  `protected int`

  `seconds`

  `protected static long`

  `serialVersionUID`

  `protected double`

  `survival`

  `protected String`

  `teamLeaderName`

  `protected int`

  `thirds`

  ## Constructor Summary

  `BattleResults(String teamLeaderName, int rank, double score, double survival, double lastSurvivorBonus, double bulletDamage, double bulletDamageBonus, double ramDamage, double ramDamageBonus, int firsts, int seconds, int thirds)`
    Constructs this BattleResults object.

  ## Method Summary

  `int`

  `compareTo(BattleResults o)`

  `int`

  `getBulletDamage()`
    Returns the bullet damage score of this robot in the battle.

  `int`

  `getBulletDamageBonus()`
    Returns the bullet damage bonus of this robot in the battle.

  `int`

  `getFirsts()`
    Returns the number of rounds this robot placed first in the battle.

  `int`

  `getLastSurvivorBonus()`
    Returns the last survivor score of this robot in the battle.

  `int`

  `getRamDamage()`
    Returns the ram damage score of this robot in the battle.

  `int`

  `getRamDamageBonus()`
    Returns the ram damage bonus of this robot in the battle.

  `int`

  `getRank()`
    Returns the rank of this robot in the battle results.

  `int`

  `getScore()`
    Returns the total score of this robot in the battle.

  `int`

  `getSeconds()`
    Returns the number of rounds this robot placed second in the battle.

  `int`

  `getSurvival()`
    Returns the survival score of this robot in the battle.

  `String`

  `getTeamLeaderName()`
    Returns the name of the team leader in the team or the name of the robot if the robot is not participating in a team.

  `int`

  `getThirds()`
    Returns the number of rounds this robot placed third in the battle.

## Field Details

### bulletDamage

    protected double bulletDamage

### bulletDamageBonus

    protected double bulletDamageBonus

### firsts

    protected int firsts

### lastSurvivorBonus

    protected double lastSurvivorBonus

### ramDamage

    protected double ramDamage

### ramDamageBonus

    protected double ramDamageBonus

### rank

    protected int rank

### score

    protected double score

### seconds

    protected int seconds

### serialVersionUID

    protected static final long serialVersionUID

> Field Value:
>   1L

### survival

    protected double survival

### teamLeaderName

    protected String teamLeaderName

### thirds

    protected int thirds

## Constructor Details

### BattleResults

    public BattleResults(String teamLeaderName,
                         int rank,
                         double score,
                         double survival,
                         double lastSurvivorBonus,
                         double bulletDamage,
                         double bulletDamageBonus,
                         double ramDamage,
                         double ramDamageBonus,
                         int firsts,
                         int seconds,
                         int thirds)

> Constructs this BattleResults object.
> Parameters:
>   `teamLeaderName` - the name of the team leader.
>   `rank` - the rank of the robot in the battle.
>   `score` - the total score for the robot in the battle.
>   `survival` - the survival score for the robot in the battle.
>   `lastSurvivorBonus` - the last survivor bonus for the robot in the battle.
>   `bulletDamage` - the bullet damage score for the robot in the battle.
>   `bulletDamageBonus` - the bullet damage bonus for the robot in the battle.
>   `ramDamage` - the ramming damage for the robot in the battle.
>   `ramDamageBonus` - the ramming damage bonus for the robot in the battle.
>   `firsts` - the number of rounds this robot placed first.
>   `seconds` - the number of rounds this robot placed second.
>   `thirds` - the number of rounds this robot placed third.

## Method Details

### compareTo

    public int compareTo(BattleResults o)

### getBulletDamage

    public int getBulletDamage()

> Returns the bullet damage score of this robot in the battle.
> Returns:
>   the bullet damage score of this robot in the battle.

### getBulletDamageBonus

    public int getBulletDamageBonus()

> Returns the bullet damage bonus of this robot in the battle.
> Returns:
>   the bullet damage bonus of this robot in the battle.

### getFirsts

    public int getFirsts()

> Returns the number of rounds this robot placed first in the battle.
> Returns:
>   the number of rounds this robot placed first in the battle.

### getLastSurvivorBonus

    public int getLastSurvivorBonus()

> Returns the last survivor score of this robot in the battle.
> Returns:
>   the last survivor score of this robot in the battle.

### getRamDamage

    public int getRamDamage()

> Returns the ram damage score of this robot in the battle.
> Returns:
>   the ram damage score of this robot in the battle.

### getRamDamageBonus

    public int getRamDamageBonus()

> Returns the ram damage bonus of this robot in the battle.
> Returns:
>   the ram damage bonus of this robot in the battle.

### getRank

    public int getRank()

> Returns the rank of this robot in the battle results.
> Returns:
>   the rank of this robot in the battle results.

### getScore

    public int getScore()

> Returns the total score of this robot in the battle.
> Returns:
>   the total score of this robot in the battle.

### getSeconds

    public int getSeconds()

> Returns the number of rounds this robot placed second in the battle.
> Returns:
>   the number of rounds this robot placed second in the battle.

### getSurvival

    public int getSurvival()

> Returns the survival score of this robot in the battle.
> Returns:
>   the survival score of this robot in the battle.

### getTeamLeaderName

    public String getTeamLeaderName()

> Returns the name of the team leader in the team or the name of the robot if the robot is not participating in a team.
> Returns:
>   the name of the team leader in the team or the name of the robot.

### getThirds

    public int getThirds()

> Returns the number of rounds this robot placed third in the battle.
> Returns:
>   the number of rounds this robot placed third in the battle.